home
사이드 메뉴

블로그

[KISA] Bourne Again Shell (Bash) 임의코드 실행 취약점 보안 업데이트 권고

이응우 2014-09-26
제목 없음

한국인터넷진흥원 인터넷침해대응본부에서 아래와 같이 리눅스계열에서 사용중인 GNU  Bash(Bourne Again Shell)에 발생하는 임의코드 취약점에 대한 보안 업데이트가 공개되어 사용중인 리눅스 운영체제에 대한 보안 업데이트 여부를 확인하고 필요 시 보안 업데이트 수행을 요청하는 내용의 권고사항이 도착하여 이를 공지합니다.

 

Bourne Again Shell (Bash) 임의코드 실행 취약점 보안 업데이트 권고 (2)

한국인터넷진흥원 인터넷침해대응센터

 

개요

o 리눅스 계열 등 운영체제에서 사용중인 GNU Bash에서 발생하는 임의코드 실행 취약점 (CVE-2014-6271) 보안 업데이트를 우회하여 악용할 수 있는 취약점 발생 (CVE-2014-7169)

o 공격자는 해당 취약점이 존재하는 시스템을 대상으로 원격에서 악의적인 시스템 명령을 실행시킬 수 있으므로 해결방안에 따라 보안 업데이트 적용 권고

 

해당 시스템

o 영향 받는 시스템

- GNU Bash를 사용하는 시스템

 

해결방안

o 해당 취약점에 대한 보안업데이트가 공개된 OS를 운영하고 있을 경우, 참고사이트의 내용을 참조하여 보안업데이트 수행

- CentOS [1]

- Debian [2]

- Redhat [3]

- Ubuntu [4]

 

용어 정리

o Shell : 사용자가 입력한 문장을 해석하여 시스템 기능을 수행하는 명령어 해석기

 

기타 문의사항

o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118

 

[참고사이트]

[1] http://lists.centos.org/pipermail/centos/2014-September/146154.html

[2] https://www.debian.org/security/2014/dsa-3035

[3] https://rhn.redhat.com/errata/RHSA-2014-1306.html

[4] http://www.ubuntu.com/usn/usn-2363-2/